## org.eclipse.datatools.enablement.sybase.asa.loaders
Class SchemaASALoader.ASATableLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader
              org.eclipse.datatools.enablement.sybase.asa.baseloaders.SchemaASABaseLoader.ASABaseTableLoader
                  org.eclipse.datatools.enablement.sybase.asa.loaders.SchemaASALoader.ASATableLoader

Enclosing class:
  SchemaASALoader

    public static class SchemaASALoader.ASATableLoader

extends SchemaASABaseLoader.ASABaseTableLoader

Nested Class Summary
`static class` `SchemaASALoader.ASATableLoader.ASAGlobalTempTableFactory`
`static class` `SchemaASALoader.ASATableLoader.ASATableFactory`

Nested classes/interfaces inherited from class org.eclipse.datatools.enablement.sybase.asa.baseloaders.SchemaASABaseLoader.ASABaseTableLoader
`SchemaASABaseLoader.ASABaseTableLoader.ASABaseGlobalTempTableFactory, SchemaASABaseLoader.ASABaseTableLoader.ASABaseProxyTableFactory, SchemaASABaseLoader.ASABaseTableLoader.ASABaseViewFactory`

Nested classes/interfaces inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader
`JDBCTableLoader.GlobalTempTableFactory, JDBCTableLoader.ITableFactory, JDBCTableLoader.LocalTempTableFactory, JDBCTableLoader.TableFactory, JDBCTableLoader.ViewFactory`

Field Summary

Fields inherited from class org.eclipse.datatools.enablement.sybase.asa.baseloaders.SchemaASABaseLoader.ASABaseTableLoader
`BASE_TABLE, GLOBAL_TEMP_TABLE, PROXY_TABLE, TABLE_VIEW`

Fields inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader
`COLUMN_REF_GENERATION, COLUMN_REMARKS, COLUMN_SELF_REFERENCING_COL_NAME, COLUMN_TABLE_NAME, COLUMN_TABLE_TYPE, TYPE_GLOBAL_TEMPORARY, TYPE_LOCAL_TEMPORARY, TYPE_REF_DERIVED, TYPE_REF_SYSTEM, TYPE_REF_USER, TYPE_SYSTEM_TABLE, TYPE_TABLE, TYPE_VIEW`

Constructor Summary
`SchemaASALoader.ASATableLoader(ICatalogObject catalogObject)`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader
`clearTables, getTableFactory, loadTables, loadTables, registerTableFactory, unregisterTableFactory`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaASALoader.ASATableLoader

    public SchemaASALoader.ASATableLoader(ICatalogObject catalogObject)